LAMASSEMBLE(1)

NAME
lamassemble - Merges overlapping "long" DNA reads into a consensus sequences

SYNOPSIS
lamassemble [options] last-train.out sequences.fx > consensus.fa

DESCRIPTION
Merge DNA sequences into a consensus sequence.

OPTIONS

-h, --help
    show this help message and exit

-a, --alignment
    print an alignment, not a consensus

-c, --consensus
    just make a consensus, of already-aligned sequences

-g G, --gap-max=G
    use alignment columns with <= G% gaps (default=50)

--end
    ... including gaps past the ends of the sequences

-s S, --seq-min=S
    omit consensus flanks with < S sequences (default=1)

-n NAME, --name=NAME
    name of the consensus sequence (default=lamassembled)

-o BASE, --out=BASE
    just write MAFFT input files, named BASE.xxx

-p P, --prob=P
    use pairwise restrictions with error probability <= P (default=0.002)

-d D, --diagonal-max=D
    max change in alignment diagonal between pairwise alignments (default=1000)

-v, --verbose
    show progress messages

--all
    use all of each sequence, not just aligning part

--mafft=ARGS
    additional arguments for MAFFT

    LAST options:

-P P
    number of parallel threads (default=1)

-W W
    use minimum positions in length-W windows (default=19)

-m M
    max initial matches per query position (default=5)

-z Z
    max gap length (default=30)